import { OnDestroy, OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { AccordionBaseComponent } from './accordion-base-component.class';
import { AccordionService } from './accordion.service';
import { AccordionBaseMenu, AccordionMenuItem } from './accordion.type';
import * as i0 from "@angular/core";
export declare class AccordionMenuComponent extends AccordionBaseComponent<AccordionBaseMenu<AccordionMenuItem>> implements OnInit, OnDestroy {
    accordion: any;
    private accordionService;
    childListSub: Subscription;
    accordionListFromView: any;
    defaultClasses: boolean;
    get open(): any;
    get routerLinkActivated(): any;
    get hasActiveChildren(): any;
    get keyOpen(): any;
    get children(): any;
    get childActivated(): any;
    get menuItemTemplate(): any;
    constructor(accordion: any, accordionService: AccordionService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    toggle(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccordionMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AccordionMenuComponent, "d-accordion-menu", never, {}, {}, never, never, false>;
}
